## padpoint.spec.in
##
##    PadPoint Program Associated Data Processor
##    Copyright (C) 2012-2020  Fred Gleason <fredg@paravelsystems.com>
##
##    All Rights Reserved.
##

Summary: Program Associated Data Processor
Name: padpoint
Version: 2.0.0rc1
Release: 1%{?dist}
License: Proprietary
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: padpoint-2.0.0rc1.tar.gz
BuildRoot: /var/tmp/padpoint-2.0.0rc1

%description
PadPoint is a processor for modifying and distributing Program Associated
Data (PAD).

%prep


%setup


%build
%configure
make -j 11


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp xdg/padpoint-root-pam $RPM_BUILD_ROOT/etc/pam.d/padpoint-root
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cp xdg/padpoint-root-consolehelper $RPM_BUILD_ROOT/etc/security/console.apps/padpoint-root
rm -f $RPM_BUILD_ROOT%{_sbindir}/padpoint-root
ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT%{_sbindir}/padpoint-root

rm -f $RPM_BUILD_ROOT%{_libdir}/libpadpoint.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libpadpoint.la
rm -f $RPM_BUILD_ROOT%{_libexecdir}/ipsystem.js
rm -f $RPM_BUILD_ROOT%{_libexecdir}/navbar.js
rm -f $RPM_BUILD_ROOT%{_libexecdir}/utils.js


%post
ldconfig
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/hicolor || :
fi
if test ! -e /etc/padpoint.conf ; then
  cp $PACKAGE_DOC_DIR/padpoint.conf-sample /etc/padpoint.conf
fi
/bin/systemctl daemon-reload
/bin/systemctl enable padpoint
/bin/systemctl restart padpoint


%preun
/bin/systemctl stop padpoint
/bin/systemctl disable padpoint


%postun
/bin/systemctl daemon-reload
ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libpadpoint-2.0.0rc1.so
%{_libdir}/libpadpoint.so
%{_sbindir}/padpoint
%{_sbindir}/padpoint-root
%{_sbindir}/padpointd
/usr/share/icons/hicolor/16x16/apps/padpoint.png
/usr/share/icons/hicolor/22x22/apps/padpoint.png
/usr/share/icons/hicolor/32x32/apps/padpoint.png
/usr/share/icons/hicolor/48x48/apps/padpoint.png
/usr/share/applications/padpoint_padpoint.desktop
/etc/pam.d/padpoint-root
/etc/security/console.apps/padpoint-root
/lib/systemd/system/padpoint.service

%doc AUTHORS
%doc ChangeLog
%doc COPYING 
%doc docs/DESTINATIONS.txt
%doc INSTALL 
%doc NEWS 
%doc README 
%doc docs/PadPoint.lua
%doc docs/SOURCES.txt
%doc padpoint.conf-sample

%changelog
* Sun Sep 26 2021 Fred Gleason <fredg@paravelsystems.com> - 2.0.0rc1-1
-- Autogenerated from build tree.
